<nz-table #basicTable [nzData]="products">
  <thead>
    <tr>
      <th>Code</th>
      <th>Name</th>
      <th>Category</th>
      <th>Quantity</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data">
      <td>{{ data.code }}</td>
      <td>{{ data.name }}</td>
      <td>{{ data.category }}</td>
      <td>{{ data.quantity }}</td>
    </tr>
  </tbody>
</nz-table>
